-- simple example for receiving serial commands 
-- this is a small testcode for using with LuaLoader or any other
-- serial terminal software to show how sending serial data to the ESP826 under the nodeMCU-firmware works:


-- setup UART for receiving data
-- parameters uart.setup( UART-id, baud, databits, parity, stopbits, echo )
uart.setup(0,9600,8,0,1)
port = 80
print ("uart.setup(0,9600,8,0,1) finished")
print ("waiting for serial data....")


function cmd_1(value)
 -- print(value)
  i= value
 -- print(i)
end

function cmd_2(value_2)
 -- print("cmd_2("..value_2..") received")
  g=value_2
 -- print(g)
end

function cmd_3(value_3)
 -- print("cmd_3("..value_3..") received")
  w=value_3
  --print(w)
end

srv=net.createServer(net.TCP)
srv:listen(80,function(conn)
  conn:on("receive",function(conn, payload)
    print(payload)
    conn:send("HTTP/1.1 200 OK\nContent-Type: text/html\nRefresh: 10\n\n" ..
              "<!DOCTYPE HTML>" ..
              "<html><body>" ..
              "<h1>GTI LIMITER</h1>" ..
              "<b>Solar Output : " ..i.. " watts </b><br>" ..
              "<b>Grid Level : " ..g.. " watts </b><br>" ..
              "<b>Wind Output : " ..w.. " watts </b><br>" ..
              "</html></body>")
  end)
  conn:on("sent",function(conn)
    conn:close()
  end)
end)

